Skip to main content
`Ctrl`+`K`

# PCDeflationSetReductionFactor

Set reduction factor for the `PCDEFLATION`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetReductionFactor(PC pc, PetscInt red)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- red - reduction factor (or `PETSC_DETERMINE`)

## Options Database Key

- -pc_deflation_reduction_factor <-1> - reduction factor on bottom level coarse problem for `PCDEFLATION`

## Note

Default is computed based on the size of the coarse problem.

## See Also

KSP: Linear System Solvers, `PCTELESCOPE`, `PCDEFLATION`, `PCDeflationSetLevels()`

## Level

intermediate

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetReductionFactor_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages